from luna3.lunavl.httpclient import LunaHttpClient
from luna3.video_manager.http_objs import Analytic
from luna3.video_manager.video_manager import VideoManagerApi

LUNA_API_ORIGIN = "http://127.0.0.1:5000"
VIDEO_MANAGER_ORIGIN = "http://127.0.0.1:5230"
VIDEO_MANAGER_API = 1
ANALYTIC_NAME = "doctests_analytic"
ACCOUNT_ID = "02bbe8fe-7dd2-46bf-85c9-494693a9d30b"

lvmClient = VideoManagerApi(origin=VIDEO_MANAGER_ORIGIN, api=1)
analytics = lvmClient.getAnalytics(analyticNames=[ANALYTIC_NAME], raiseError=True).json["analytics"]
if len(analytics) == 0:
    ANALYTIC_ID = lvmClient.createAnalytic(
        accountId=ACCOUNT_ID, analytic=Analytic(analyticName=ANALYTIC_NAME), raiseError=True
    ).json["analytic_id"]
else:
    ANALYTIC_ID = analytics[0]["analytic_id"]
TEST_CLIENT = LunaHttpClient(origin=LUNA_API_ORIGIN, accountId=ACCOUNT_ID)
TEST_CLIENT.createAccount(login="luna@visionlabs.ru", password="pwd", accountType="advanced_user")
